package net.h34t.filemure.core.entity

import java.time.LocalDateTime

class Document(
    val id: Long,
    val extId: String,
    val title: String,
    val description: String,
    val tags: List<Tag>,
    val created: LocalDateTime,
    val referenceDate: LocalDateTime,
    val files: List<FileRef>,
)

@JvmInline
value class Tag(val value: String)

@JvmInline
value class MimeType(val value: String) {
    init {
        // TODO validate mime type
        // require(value)
    }
}

data class FileRef(
    val id: Long,
    val extId: String,
    val filename: String,
    val contentType: String?,
    val created: LocalDateTime,
)

